﻿@model KontaktiViewModel

@{
    ViewData["Title"] = "Popis kontakta";
}

<h1>Popis kontakta</h1>
<p>
    <small>
        Stranica za prikaz svih kontakta. Napravljeno je straničenje i sortiranje. Za svaku stavku je omogućeno uređivanje i brisanje, i moguće je dodavanje novih kontakta. Prilikom brisanja se pita korisnika je li siguran da želi obrisati zapis.
    </small>
</p>
<a asp-action="Create">Stvori novi kontakt</a>

<pager page-info="@Model.PagingInfo" page-title="Unesite željenu stranicu" page-action="Index" class="float-right"></pager>

<table class="table table-sm table-striped table-hover">
    <thead>
        <tr>
            @{
                string[] nazivi = { "Kontakt podatci", "Tip kontakta" };
                for (int i = 1; i <= nazivi.Length; i++)
                {
                    <th>
                        <a asp-route-sort="@i"
                           asp-route-page="@Model.PagingInfo.CurrentPage"
                           asp-route-ascending="@(Model.PagingInfo.Sort == i ? !Model.PagingInfo.Ascending : true)">@nazivi[i - 1]</a>
                    </th>
                }
            }
            <th></th>
            <th></th>
        </tr>
    </thead>

    <tbody>
        @foreach (var kontakt in Model.Kontakti)
        {
            <tr>
                <td class="text-left">@kontakt.KontaktPodaci</td>
                <td class="text-left">@kontakt.NazivKontakta</td>
                <td>
                    <a asp-action="Edit"
                       asp-route-Id="@kontakt.Id"
                       asp-route-page="@Model.PagingInfo.CurrentPage"
                       asp-route-sort="@Model.PagingInfo.Sort"
                       asp-route-ascending="@Model.PagingInfo.Ascending"
                       class="btn btn-sm edit"
                       title="Ažuriraj"><i class="fas fa-edit"></i></a>
                </td>
                <td>
                    <form asp-action="Delete" method="post"
                          asp-route-page="@Model.PagingInfo.CurrentPage"
                          asp-route-sort="@Model.PagingInfo.Sort"
                          asp-route-ascending="@Model.PagingInfo.Ascending">
                        <input type="hidden" name="Id" value="@kontakt.Id" />
                        <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                            <i class="fas fa-trash-alt"></i>
                        </button>
                    </form>
                </td>
            </tr>
        }
    </tbody>
</table>